CoCoA-5 - Support #1534

Install CoCoA-5 on MacOS-10.15+
10 Nov 2020 19:57 - John Abbott

Status: In Progress Start date: 10 Nov 2020
Priority: Immediate Due date:

Assignee: % Done: 50%
Category: Manual/documentation Estimated time: 0.00 hour
Target version: CoCoA-5.4.2 Spent time: 1.00 hour
Description

Review the instructions for installing CoCoA-5.3 on MacOS.

Unfortunately it seems that an administrator account and password are needed even for a "personal” installation of CoCoA-5.

Related issues:
Related to CoCoA-5 - Support #322: Installation instructions (on website) In Progress 26 Feb 2013

History

#1 - 13 Nov 2020 14:26 - John Abbott

| have had trouble installing CoCoA-5 from our website on my old mac.

#2 - 13 Nov 2020 15:48 - John Abbott
- Status changed from New to In Progress

- % Done changed from 0 to 10

Anna could you do the following on your old MacBook:
(1) download the official distrib

(2) follow the instructions on the web site (exactly)

(3) note down all interactions which were necessary.

On my computer: if | CTRL-click on CoCoAlnterpreter, a window appears asking if | really want to "open" the file; | say yes; then another window
appears saying "Verifying...".

After some time the verification fails, and | have the option to "cancel" or "move to trash". HOWEVER, if | start ./CoCoAlnterpreter in a shell then it
seems to run (and complain that it cannot find the packages...).

What happens if you just do CTRL-click on ConfigEmacs, but do not do it with CoCoAlnterpreter? Can you then start CoCoA-5 from inside emacs?

| also had to type in an administrator's username and password (when running as "guest” user).

NOTE even though verification failed (with a worrying message about CoCoAlnterpreter being corrupted), | was then able to start it from inside
Emacs.

#3 - 12 Nov 2021 11:41 - John Abbott

Check if this is still a problem!
What does Robbiano do?
#4 - 16 Feb 2022 20:23 - John Abbott
- Priority changed from Normal to Immediate

- % Done changed from 10 to 50

ANNA! Please can you do this just before releasing?

#5 - 16 Feb 2022 20:23 - John Abbott
- Related to Support #322: Installation instructions (on website) added

#6 - 18 Feb 2022 16:34 - Anna Maria Bigatti

See also this comment: #322#note-23

#7 - 23 Feb 2022 12:16 - Anna Maria Bigatti
- Subject changed from Install CoCoA-5.3 on MacOS to Install CoCoA-5 on MacOS-10.15+

#8 - 13 Jun 2022 15:29 - Redmine Admin
- Target version changed from CoCo0A-5.4.0 to CoCoA-5.4.2

#9 - 07 Oct 2022 14:35 - John Abbott
2022-10-07: What is the status of this issue?
